> For the complete documentation index, see [llms.txt](https://docs.apryse.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.apryse.com/android/changelogs/version-8/v8-1-2.md).

# Version 8.1.2 Changelog (March 2, 2021)

World's #1 PDF SDK Library for Web, Mobile, Server, Desktop

Version: 8.1.2.76983

Release Date: March 2, 2021

## New features

* Adds API to \[set default stylus tool mode]\(<https://sdk.apryse.com/api/android/javadoc/reference/com/pdftron/pdf/utils/PdfViewCtrlSettingsManager.html#setDefaultStylusToolMode(android.content.Context>, com.pdftron.pdf.tools.ToolManager.ToolMode)), default to ink tool
* Adds ability to quickly add/remove items in the menu editor

![](https://226546913-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2F0QItsdFBmuuL9ezHimHy%2Fuploads%2Fgit-blob-ba14c9503d41675c9d240c614ffdde1375d032e2%2Fb7f97d2c728011e7ccc88010e624731968f5995d-418x862.gif?alt=media)

* Adds ability to close inactive tabs
* Adds API to \[show/hide tabs on phones]\(<https://sdk.apryse.com/api/android/javadoc/reference/com/pdftron/pdf/utils/PdfViewCtrlSettingsManager.html#setShowTabBarForPhone(android.content.Context>, boolean)), default to false
* Adds API to \[show/hide scrollbar]\(<https://sdk.apryse.com/api/android/javadoc/reference/com/pdftron/pdf/utils/PdfViewCtrlSettingsManager.html#setShowScrollbarOption(android.content.Context>, boolean)) when scrolling and zooming, default to false
* Adds style attribute `showAddBookmarkMenuItem` to hide add bookmark menu item in the thumbnails browser

## Fixed

* Fixed potential crash when clearing signature too quickly while signing
* Fixed issue where existing signature cannot be selected while in signature tool
* Fixed issue where link and form field made in the viewer does not appear on the annotations list
* Fixed issue where annotation is not committed for multi-stroke annotation when selecting other options menu
* Fixed issue where long press annotation creation does not respect `setAutoSelect` config
* Fixed issue where the magnifying glass gets stuck on screen in some situations
* Fixed issue where free text and sticky note popup window does not auto focus
* Fixed issue where quick menu annotation creation uses incorrect annotation style
* Fixed issue where content is not saved in free text popup window during an orientation change
* Fixed issue where the top toolbar gets cut off by device inset
* Fixed issue where scrollbar not behaving correctly on large documents
* Fixed issue where `setShowUndoRedo` config not behaving correctly when set to false
* Fixed issue where query params are not detected for image URLs
* Fixed issue where user id is not set correctly when copying and pasting existing annotations by a new user
* Fixed issue where changes to non-pdf files are not saved to temp file
* Fixed issue where file path for converted file is returned wrong when calling `getFilePath`
* Fixed issue where sticky note dialog not showing up
* Fixed issue where infinite loop occurs when removing tabs for URL files
* Fixed issue where infinite loop occurs when overriding basic annotation listener

## APIs

### PDFViewCtrlTools package

#### ToolManagerBuilder

*new* method: `boolean getShowUndoRedo()`

#### ToolManager

*new* method: `void addToolManagerChangedListener(ToolManagerChangedListener)`

*new* method: `void removeToolManagerChangedListener(ToolManagerChangedListener)`

*removed* method: `void addDisabledToolModesChangedListener(DisabledToolModeChangedListener)`

*removed* method: `void removeDisabledToolModeChangedListener(DisabledToolModeChangedListener)`

#### DisabledToolModeChangedListener

*removed* interface: `DisabledToolModeChangedListener`

*removed* method: `void onDisabledToolModeChanged(Set<ToolMode>)`

#### ToolManagerChangedListener

*new* interface: `ToolManagerChangedListener`

*new* method: `void onDisabledToolModeChanged(Set<ToolMode>)`

*new* method: `void onUndoRedoShownChanged(Boolean)`

#### AnnotUtils

*new* static method: `boolean isSignature(Annot)`

#### PdfViewCtrlSettingsManager

*new* static final field: `String DEFAULT_STYLUS_TOOL_MODE`

*new* static final field: `String KEY_PREF_NEW_UI_SHOW_TAB_BAR_PHONE`

*new* static method: `ToolMode getDefaultStylusToolMode(Context)`

*new* static method: `boolean getShowScrollbarOption(Context)`

*new* static method: `boolean getShowTabBarForPhone(Context)`

*new* static method: `void setDefaultStylusToolMode(Context, ToolMode)`

*new* static method: `void setShowScrollbarOption(Context, boolean)`

*new* static method: `void setShowTabBarForPhone(Context, boolean)`

#### PresetActionButton

*new* method: `void setClientBackgroundColor(int)`

#### QuickMenuToolbarItem

*new* class: `QuickMenuToolbarItem`

*new* constructor: `QuickMenuToolbarItem(String, ToolbarButtonType, int, boolean, int, int, int, boolean, int)`

*new* constructor: `QuickMenuToolbarItem(String, ToolbarButtonType, int, boolean, int, int, int, int)`

*new* static field: `String QUICK_MENU_TOOL_STYLE_ID`

*new* method: `String getStyleId()`

#### AnnotationToolbarComponent

*new* method: `boolean isEditing()`


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.apryse.com/android/changelogs/version-8/v8-1-2.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
